Subject: cl-rsm-string: cmucl enters debugger when trying to load string.lisp
From: Ross Wheatley <[email-masked]>
To: [email-masked]
Date: Thu, 6 Jul 2006 18:00:25 +1000 (EST)

Package: cl-rsm-string
Version: 1.4
Severity: important
Justification: fails to build from source

(asdf:operate 'asdf:load-op 'rsm-string) fails

package.lisp loads ok

evaluating the expressions in string.lisp ok up to the declaim statement 
before the "(defun contains" expression

I know rsm-string was fine with lispworks, so maybe its cmucl thats not 
compliant. As a newbie/rank-amature I can't get my head around
(declaim (ftype (function ((list string)(list string) &key function) list) contains))

rsm-string is documented internally as v 1.6

paste anything I typed at your peril...

-- System Information:
Debian Release: 3.1
   APT prefers testing
   APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=en_AU, LC_CTYPE=en_AU (charmap=ISO-8859-1)

Versions of packages cl-rsm-string depends on:
ii  common-lisp-controller        6.1        This is a Common Lisp source and c

-- no debconf information

Ross Wheatley